function epsbound = compute_eps(A,n,s)

% Computes 2-norm of epsilon_n,s term in Theorem 3,
% which can also be seen as a 2-norm absolute error
% bound for mixed polynomial-rational approximation 
% of psi_1(A).
%
% A is a symmetric matrix in full format,
% n,s are polynomial and rational degree as in the manuscript.

Acoeff=norm(A/(2*pi))^(2*n+2);
sumzeta=0;
for k=1:s
    sumzeta=sumzeta+1/(k^(2*n+2));
end

epsbound=2*Acoeff*(zeta(2*n+2)-sumzeta);