% Function called by compare_rational_complex.m
% Computes mixed approximation of \psi_1(z)
% with degrees (np, m). 

function [w] = our_rat_eval(np,m,z)
% assume np>0
n=length(z);
w=zeros(n);
xx=bernoulli(0:2*np); 
   
for i=1:n
    for j=1:n
        w(i,j)=1; 
        aa=z(i,j); 
        for jj=2:2*np+1
            w(i,j)=w(i,j)+(xx(jj)/factorial(jj-1))*aa; 
            aa=aa*z(i,j);
        end
        ss=(z(i,j)/(2*pi))^2;
        for k=1:m
            w(i,j)=w(i,j)+(2*(-1)^np*ss^(np+1))/((k*k+ss)*(k^(2*np)));
        end
       
    end
end
end
